/**
 * LICENSE + COPYRIGHT
 */
package org.vcs.bazaar.eclipse;

import org.eclipse.core.runtime.Preferences;
import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.vcs.bazaar.client.BazaarClientPreferences;
import org.vcs.bazaar.client.BazaarPreference;

/**
 *
 * @author Guillermo Gonzalez
 *
 */
@SuppressWarnings("deprecation")
public class PreferenceInitializer extends AbstractPreferenceInitializer {

	public PreferenceInitializer() {
		super();
	}

	@Override
    public void initializeDefaultPreferences() {
		Preferences prefs = EclipseBazaarCore.getDefault().getPluginPreferences();
		prefs.setDefault(IBazaarCoreConstants.LOG_REVISION_LIMIT, 200);
		prefs.setDefault(BazaarPreference.EXECUTABLE.name(), BazaarClientPreferences.getInstance().getString(BazaarPreference.EXECUTABLE));
		prefs.setDefault(BazaarPreference.BZR_EMAIL.name(), System.getProperty("user.name"));
		prefs.setDefault(BazaarPreference.BZR_PLUGIN_PATH.name(), "");
	}

}
